diff --git a/buglist b/buglist
index 2fc31d7..b951e19 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7273: 
+bug 7274: 
 todo 336:
 wish 1012:
 meh 5:
@@ -12,6 +12,142 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7273: wester algebra radicalSolve bug
+
+--S 26 of 63
+radicalSolve(x**3 + x**2 - 7 = 0, x)
+ 
+
+   (26)
+   [
+     x =
+                            +------------------+2
+                            |  +----+       +-+
+                +---+       |9\|1295  + 187\|3
+           (- 9\|- 3  + 9)  |------------------
+                           3|         +-+
+                           \|      54\|3
+         + 
+                            +------------------+
+                            |  +----+       +-+
+                +---+       |9\|1295  + 187\|3
+           (- 3\|- 3  - 3)  |------------------ - 2
+                           3|         +-+
+                           \|      54\|3
+      /
+                        +------------------+
+                        |  +----+       +-+
+            +---+       |9\|1295  + 187\|3
+         (9\|- 3  + 9)  |------------------
+                       3|         +-+
+                       \|      54\|3
+     ,
+
+     x =
+                            +------------------+2
+                            |  +----+       +-+
+                +---+       |9\|1295  + 187\|3
+           (- 9\|- 3  - 9)  |------------------
+                           3|         +-+
+                           \|      54\|3
+         + 
+                            +------------------+
+                            |  +----+       +-+
+                +---+       |9\|1295  + 187\|3
+           (- 3\|- 3  + 3)  |------------------ + 2
+                           3|         +-+
+                           \|      54\|3
+      /
+                        +------------------+
+                        |  +----+       +-+
+            +---+       |9\|1295  + 187\|3
+         (9\|- 3  - 9)  |------------------
+                       3|         +-+
+                       \|      54\|3
+     ,
+          +------------------+2     +------------------+
+          |  +----+       +-+       |  +----+       +-+
+          |9\|1295  + 187\|3        |9\|1295  + 187\|3
+       9  |------------------  - 3  |------------------ + 1
+         3|         +-+            3|         +-+
+         \|      54\|3             \|      54\|3
+    x= ----------------------------------------------------]
+                         +------------------+
+                         |  +----+       +-+
+                         |9\|1295  + 187\|3
+                      9  |------------------
+                        3|         +-+
+                        \|      54\|3
+                                    Type: List(Equation(Expression(Integer)))
+--R 
+--R
+--R   (26)
+--R                       +--------------+2                  +--------------+
+--R                       |   +----+                         |   +----+
+--R                       |   |1295                          |   |1295
+--R                       |9  |---- + 187                    |9  |---- + 187
+--R           +---+       |  \|  3               +---+       |  \|  3
+--R       (- \|- 3  + 1) 3|--------------  + (- \|- 3  - 1) 3|-------------- - 2
+--R                      \|       2                         \|       2
+--R   [x= ----------------------------------------------------------------------,
+--R                                          +--------------+
+--R                                          |   +----+
+--R                                          |   |1295
+--R                                          |9  |---- + 187
+--R                              +---+       |  \|  3
+--R                           (3\|- 3  + 3) 3|--------------
+--R                                         \|       2
+--R                       +--------------+2                  +--------------+
+--R                       |   +----+                         |   +----+
+--R                       |   |1295                          |   |1295
+--R                       |9  |---- + 187                    |9  |---- + 187
+--R           +---+       |  \|  3               +---+       |  \|  3
+--R       (- \|- 3  - 1) 3|--------------  + (- \|- 3  + 1) 3|-------------- + 2
+--R                      \|       2                         \|       2
+--R    x= ----------------------------------------------------------------------,
+--R                                          +--------------+
+--R                                          |   +----+
+--R                                          |   |1295
+--R                                          |9  |---- + 187
+--R                              +---+       |  \|  3
+--R                           (3\|- 3  - 3) 3|--------------
+--R                                         \|       2
+--R        +--------------+2    +--------------+
+--R        |   +----+           |   +----+
+--R        |   |1295            |   |1295
+--R        |9  |---- + 187      |9  |---- + 187
+--R        |  \|  3             |  \|  3
+--R       3|--------------   - 3|--------------  + 1
+--R       \|       2           \|       2
+--R    x= ------------------------------------------]
+--R                      +--------------+
+--R                      |   +----+
+--R                      |   |1295
+--R                      |9  |---- + 187
+--R                      |  \|  3
+--R                   3 3|--------------
+--R                     \|       2
+--R                                       Type: List Equation Expression Integer
+--E 26
+
+--S 27 of 63
+reduce(*, map(e +-> lhs(e) - rhs(e), %))
+ 
+
+            3     2       +-+ +----+       3       2
+         (9x  + 9x  - 63)\|3 \|1295  + 561x  + 561x  - 3927
+   (27)  --------------------------------------------------
+                         +-+ +----+       +-+2
+                       9\|3 \|1295  + 187\|3
+                                                    Type: Expression(Integer)
+--R 
+--R
+--R          3    2
+--R   (27)  x  + x  - 7
+--R                                                     Type: Expression Integer
+--E 27
+
+=========================================================================
 bug 7272: )savesystem does not build a restorable session
 
 Raymond Rogers <raymond.rogers72@gmail.com> reports that
diff --git a/changelog b/changelog
index 1027581..8235f6d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141215 tpd src/axiom-website/patches.html 20141215.04.tpd.patch
+20141215 tpd buglist: bug 7273: wester algebra radicalSolve bug
 20141215 tpd src/axiom-website/patches.html 20141215.03.tpd.patch
 20141215 tpd books/bookheader update the credits list in the books
 20141215 tpd src/axiom-website/patches.html 20141215.02.tpd.patch
diff --git a/patch b/patch
index 189c7aa..643f3fc 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,3 @@
-books/bookheader update the credits list in the books
+buglist: bug 7273: wester algebra radicalSolve bug
 
+Problem 26, 27 failure in westeralgebra CATS test suite
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a88033c..e82eb3d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4816,6 +4816,8 @@ books/bookvol5 merge from vmlisp.lisp, treeshake<br/>
 books/axiom.sty make \sig write lisp signatures<br/>
 <a href="patches/20141215.03.tpd.patch">20141215.03.tpd.patch</a>
 books/bookheader update the credits list in the books<br/>
+<a href="patches/20141215.04.tpd.patch">20141215.04.tpd.patch</a>
+buglist: bug 7273: wester algebra radicalSolve bug<br/>
  </body>
 </html>
 
